Skip to main content

News

Topic: IMPORTANT: Please confirm the Wiki works again for you! (Read 4151 times) previous topic - next topic

  • N E O
  • [*][*][*][*][*]
  • Administrator
  • Senior Administrator
IMPORTANT: Please confirm the Wiki works again for you!
Good evening, Spherical! I've performed a long-needed upgrade to the Wiki and it looks like it works again, but I need your help to make sure it indeed works for everyone as intended.

Please start filling in more API, update links, maybe make a useful tutorial or two, and respond here if everything is up to par again.

  • Fat Cerberus
  • [*][*][*][*][*]
  • Global Moderator
  • miniSphere Developer
Re: IMPORTANT: Please confirm the Wiki works again for you!
Reply #1
I can't create an account, I get a page with the following text:

Code: [Select]
AHBL (127.0.0.2 - Open Relay) TRUEAHBL (127.0.0.2 - Open Relay) TRUE
miniSphere 5.0.1 - Cell compiler - SSj debugger - thread | on GitHub
For the sake of our continued health I very much hope that Fat Cerberus does not become skilled enough at whatever arcane art it would require to cause computers to spawn enourmous man eating pigs ~Rhuan

  • N E O
  • [*][*][*][*][*]
  • Administrator
  • Senior Administrator
Re: IMPORTANT: Please confirm the Wiki works again for you!
Reply #2

I can't create an account, I get a page with the following text:

Code: [Select]
AHBL (127.0.0.2 - Open Relay) TRUEAHBL (127.0.0.2 - Open Relay) TRUE



1. You technically shouldn't need to create an account, as "Bruce Pascoe" already exists. If you can't login due to forgotten credentials let me know if "Forgot Password"/"Password Reset" functionality works, otherwise I'll reset your password for you and PM it.
2. Near the beginning of the wiki's life as an anti-spam measure I limited account creation to primarily use OpenID. Since I'm instead directing you to log in using your existing account maybe someone here who hasn't already created a wiki login can try?

EDIT: The text is from the Check Spambots extension which checks the apparently now-deprecated AHBL, among others. Disabling AHBL removes the text.
  • Last Edit: June 10, 2015, 12:04:27 am by N E O

  • Jacob
  • [*]
Re: IMPORTANT: Please confirm the Wiki works again for you!
Reply #3
Everything seems to be working fine for me. :)
"If you don't build your dreams, someone else will hire you to build theirs."

Challenging Apathy | Follow me on Twitter!

Re: IMPORTANT: Please confirm the Wiki works again for you!
Reply #4
Seems that I can't log in with Google OpenID, since google has phased out OpenID 2.0

  • Fat Cerberus
  • [*][*][*][*][*]
  • Global Moderator
  • miniSphere Developer
Re: IMPORTANT: Please confirm the Wiki works again for you!
Reply #5
Okay, Forgot Password worked.  I didn't remember creating an account on the new Wiki, thanks for the heads up!

It looks like editing works at least.  I was able to edit the Spectacles: Bruce's Story page I apparently created ages ago.  Maybe I should make a page for minisphere now...
miniSphere 5.0.1 - Cell compiler - SSj debugger - thread | on GitHub
For the sake of our continued health I very much hope that Fat Cerberus does not become skilled enough at whatever arcane art it would require to cause computers to spawn enourmous man eating pigs ~Rhuan

  • Fat Cerberus
  • [*][*][*][*][*]
  • Global Moderator
  • miniSphere Developer
Re: IMPORTANT: Please confirm the Wiki works again for you!
Reply #6
Just created this article stub:
http://wiki.spheredev.org/Minisphere

Everything seems to be in order so far!
miniSphere 5.0.1 - Cell compiler - SSj debugger - thread | on GitHub
For the sake of our continued health I very much hope that Fat Cerberus does not become skilled enough at whatever arcane art it would require to cause computers to spawn enourmous man eating pigs ~Rhuan

  • DaVince
  • [*][*][*][*][*]
  • Administrator
  • Used Sphere for, like, half my life
Re: IMPORTANT: Please confirm the Wiki works again for you!
Reply #7
Logging in and editing articles works great. I had no problems updating SetFrameRate().

Now that there are multiple Sphere engines, how do we go about documenting version-specific options? Here's my suggestion:
I'm thinking we could just add links like [[Category:legacysphere]] and [[Category:minisphere]] to each API function page.
Then we add a template that figures out which categories the function belongs to, and display those at the top of the page. For example, like this:



(Edit: edited to take up less space)

Also, I noticed the special headings font not loading, but personally, I prefer the default font that is being displayed anyway.
  • Last Edit: June 10, 2015, 07:29:30 am by DaVince

  • DaVince
  • [*][*][*][*][*]
  • Administrator
  • Used Sphere for, like, half my life
Re: IMPORTANT: Please confirm the Wiki works again for you!
Reply #8
Spam is rapidly forming. Check the Recent Changes.

  • Fat Cerberus
  • [*][*][*][*][*]
  • Global Moderator
  • miniSphere Developer
Re: IMPORTANT: Please confirm the Wiki works again for you!
Reply #9
Wow, geez.  I don't get the point, though.  The spambots aren't creating any links to the articles they make, so it won't even show up on a search engine.  It's a waste of time I'd think.
miniSphere 5.0.1 - Cell compiler - SSj debugger - thread | on GitHub
For the sake of our continued health I very much hope that Fat Cerberus does not become skilled enough at whatever arcane art it would require to cause computers to spawn enourmous man eating pigs ~Rhuan

  • N E O
  • [*][*][*][*][*]
  • Administrator
  • Senior Administrator
Re: IMPORTANT: Please confirm the Wiki works again for you!
Reply #10

Spam is rapidly forming. Check the Recent Changes.


Oh balls. :( Now I need to find new anti-spam measures, or at the very least re-enable AHBL simply to prevent ALL new accounts for the moment until I can solve it.

  • Fat Cerberus
  • [*][*][*][*][*]
  • Global Moderator
  • miniSphere Developer
Re: IMPORTANT: Please confirm the Wiki works again for you!
Reply #11
Odd, despite the protection being reinstated somehow the spam bots are still managing to get in.  I think we might need to add captchas for signups, as much as I despise them...
miniSphere 5.0.1 - Cell compiler - SSj debugger - thread | on GitHub
For the sake of our continued health I very much hope that Fat Cerberus does not become skilled enough at whatever arcane art it would require to cause computers to spawn enourmous man eating pigs ~Rhuan

  • N E O
  • [*][*][*][*][*]
  • Administrator
  • Senior Administrator
Re: IMPORTANT: Please confirm the Wiki works again for you!
Reply #12
Ugh. I used to have a procedure to delete spam en masse but since it's been so long I've become out of practice and need to relearn it. I also apparently can't research a solution quickly enough to stop new spam and delete the old stuff.

I want to turn on maintenance mode or something, but that will also halt legit users from updating it. Thoughts?

  • DaVince
  • [*][*][*][*][*]
  • Administrator
  • Used Sphere for, like, half my life
Re: IMPORTANT: Please confirm the Wiki works again for you!
Reply #13
Put it on maintenance mode for now, please. Resolving this problem is a bit more pressing at the moment.

  • FBnil
  • [*][*]
Re: IMPORTANT: Please confirm the Wiki works again for you!
Reply #14
I second that.